#include <bits/stdc++.h>

using namespace std;
int main()
{
    int t;
    cin >> t;
    long long int a[t],b[t];
    long long int x[t],y[t];
    for(int i = 0;i < t;i++)
        cin >> a[i]>> b[i];

    cout << -1;
    return 0;
}